class SnapButton {

  PVector pos = new PVector();
  float d = 20;
  float r = d/2;
  float l = 30;
  boolean orizz;

  SnapButton(float _x, float _y, boolean _orizz) {
    pos.x = _x;
    pos.y = _y;
    orizz = _orizz;
  }

  void display(float px, float py) {
  if (isInside(px, py)) {
      noStroke();
    fill(6, 160, 123);
    ellipse(pos.x, pos.y, d, d);
    stroke(6, 160, 123);
    strokeWeight(5);
    noFill();
    if (orizz) line(pos.x-l/2, pos.y, pos.x+l/2, pos.y); else line(pos.x, pos.y-l/2, pos.x, pos.y+l/2 );
    } else {
    noStroke();
    fill(59, 183, 153);
    ellipse(pos.x, pos.y, d, d);
    stroke(59, 183, 153);
    strokeWeight(5);
    noFill();
    if (orizz) line(pos.x-l/2, pos.y, pos.x+l/2, pos.y); else line(pos.x, pos.y-l/2, pos.x, pos.y+l/2 );
    
    }
    
  }

  void inflate() {
  }

  boolean isInside(float px, float py) {
    boolean b = dist(px, py, pos.x, pos.y) < r;
    return b;
  }
}

